ResponseContentEncoding (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class ResponseContentEncoding

    java.lang.Object
      org.apache.http.client.protocol.ResponseContentEncoding

All Implemented Interfaces:
  org.apache.http.HttpResponseInterceptor

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class ResponseContentEncoding

extends Object
implements org.apache.http.HttpResponseInterceptor

`HttpResponseInterceptor` responsible for processing Content-Encoding responses.

Instances of this class are stateless and immutable, therefore threadsafe.

Since:
  4.1

Field Summary
`static String` | `UNCOMPRESSED`

Constructor Summary
`ResponseContentEncoding()` Handles `gzip` and `deflate` compressed entities by using the following decoders: gzip - see `GZIPInputStream` deflate - see `DeflateInputStream`
`ResponseContentEncoding(boolean ignoreUnknown)`
`ResponseContentEncoding(org.apache.http.config.Lookup<InputStreamFactory> decoderRegistry)`
`ResponseContentEncoding(org.apache.http.config.Lookup<InputStreamFactory> decoderRegistry, boolean ignoreUnknown)`

Method Summary
`void` | `process(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNCOMPRESSED

    public static final String UNCOMPRESSED

See Also:
  Constant Field Values

Constructor Detail

### ResponseContentEncoding

    public ResponseContentEncoding(org.apache.http.config.Lookup<InputStreamFactory> decoderRegistry,
                                   boolean ignoreUnknown)

Since:
  4.5

### ResponseContentEncoding

    public ResponseContentEncoding(boolean ignoreUnknown)

Since:
  4.5

### ResponseContentEncoding

    public ResponseContentEncoding(org.apache.http.config.Lookup<InputStreamFactory> decoderRegistry)

Since:
  4.4

### ResponseContentEncoding

    public ResponseContentEncoding()

  Handles `gzip` and `deflate` compressed entities by using the following decoders:
  - gzip - see `GZIPInputStream`
  - deflate - see `DeflateInputStream`

Method Detail

### process

    public void process(org.apache.http.HttpResponse response,
                        org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

  Specified by:
    `process` in interface `org.apache.http.HttpResponseInterceptor`
  Throws:
    `org.apache.http.HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.